<link rel="import" href="bower_components/polymer/polymer.html">
<link rel="import" href="bower_components/paper-card/paper-card.html">
<link rel="import" href="bower_components/iron-flex-layout/iron-flex-layout.html">
<link rel="import" href="bower_components/iron-flex-layout/iron-flex-layout-classes.html">
<link rel="import" href="bower_components/d2l-text-input/d2l-text-input.html">
<link rel="import" href="tiny-book-form.html">
<link rel="import" href="custom-popup.html">
<link rel="import" href="tiny-book-delete.html">

<dom-module id="tiny-book-detail">
    <template>
        <style include="iron-flex iron-flex-layout"></style>

        <style>
            :host {
                width: 100%;
                position: relative;
                display: block;
            }

            paper-card.book-card {
                margin: 3px;
                height: 120px;
                box-sizing: border-box;
            }

            div.book-card-cover {
                width: 120px;
                min-width: 120px;
                display: inline-block;
                background-size: contain;
                background-repeat: no-repeat;
                background-color: #dde;
                background-position-x: center;
            }

            div.book-card-info {
                height: 100%;
                display: inline-block;
                padding-right: 10px;
            }

            div.book-card-info-title {
                font-weight: bold;
            }

            div.book-list-content {
                position: relative;
                width: 100%;
                justify-content: space-around;
            }
        </style>

        <div class="book-list-content flex layout horizontal wrap arround justified">
            <paper-button on-click="handleClick" style="background-color: orange"> Consulter </paper-button>
            <template is="dom-if" if="{{show}}">
              <rsat-popup pos="center" show="{{show}}" backdrop="true">
                <paper-card class="book-card layout horizontal" id="content">
                    <div class="book-card-cover" style="background-image: url(data:image/jpeg;base64,{{item.img.data}})"></div>
                    <div class="book-card-info flex">
                      <h3> Modification </h3>

                      <tiny-book-form book="{{book}}"></tiny-book-form>
                    </div>
                </paper-card>
                  <tiny-book-delete book="{{book}}"></tiny-book-delete>
                  <paper-button on-click="hide" class="center" style="bottom:0; position:absolute"> Fermer </paper-button>
              </rsat-popup>
            </template>
        </div>
    </template>

    <script>
    class TinyBookDetail extends Polymer.Element {
        static get is() {
            return "tiny-book-detail";
        }

        static get properties() {
            return {
                book: {
                    type: Object,
                    notify: true
                },
                show: {
                  type: Object,
                  notify: true,
                  value: false
                }
            }
        }

        handleClick(e) {
          this.show = true;
        }

        hide(e) {
          this.show = false;
        }
    }
    customElements.define(TinyBookDetail.is, TinyBookDetail);
    </script>
</dom-module>
